Package: groovy.org.codenarc.rule.unused

## [Groovy] Class AbstractLastStatementInBlockAstVisitor

- groovy.org.codenarc.rule.unused.AbstractLastStatementInBlockAstVisitor

- Abstract superclass for AstVisitor classes that need to determine whether a Statement is the last statement within a block.

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `isLastStatementInBlock(org.codehaus.groovy.ast.stmt.Statement statement)`
    `` | `void` | `visitBlockStatement(org.codehaus.groovy.ast.stmt.BlockStatement block)`

- - ### Method Detail

    - #### protected boolean isLastStatementInBlock(org.codehaus.groovy.ast.stmt.Statement statement)

    - #### void visitBlockStatement(org.codehaus.groovy.ast.stmt.BlockStatement block)